@import "../../../index.scss";

#nav {
    display: grid;
    align-items: center;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 100;
    background-color: transparent;
}

.nav_center__header {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: end;
    align-items: center;
    a {
        text-decoration: none !important;
    }
}

.nav_center__logo {
    cursor: pointer;
    display: none;
}

.nav_center__btn {
    cursor: pointer;
    border: none;
    background-color: theme-color('primary');
    border-radius: 50%;
    width: 3rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    justify-self: end;
    box-shadow: 5px 5px 40px gray('500');
    svg {
        font-size: 2rem;
        color: $white;
    }
    &:focus {
        outline: none;
    }
}

.nav_center__links {
    display: none;
}

.active {
    color: theme-color('primary') !important;
}

@media screen and (max-width: 768px) {
    .nav_center__btn {
        display: none;
    }
}
@media screen and (min-width: 768px) {
    #nav {
        background-color: $white;
    }
    .nav_center {
        display: flex;
        justify-content: space-between;
        align-items: center;
        max-width: 1440px;
        width: 100%;
        margin: auto;
        padding: 0.5rem 1rem;
        &__logo {
            display: block;
        }

        &__header {
            grid-template-columns: 1fr;
            justify-self: center;
        }
        &__btn {
            display: none;
        }
        &__links {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 0;
            margin: 0;

            > li {
                list-style-type: none;
                transition: all 0.2s ease-in-out;
                border-radius: 10px;
                a {
                    text-decoration: none;
                    display: block;
                    padding: 1rem;
                    color: theme-color('dark');
                    font-weight: 700;
                }
                &:hover {
                    cursor: pointer;
                    background: gray('100');
                }
            }
            .nav-link {
                #team_dropdown {
                    left: -14px !important;
                }
            }
        }
    }
}
.user_profile_img {
    width: 45px;
    height: 45px;
    border-radius: 50px;
    object-fit: cover;
}
